cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
1012
Views
5
Helpful
9
Replies
Highlighted
Beginner

CTS-1300 software not upgrading from 1.6

Hello friends,

      We just aquired a CTS-1300 and we are trying to make it work with our CUCM version 8.5, we spent the whole weekend trying to upgrade its software to version 1.8 or later, but we had no luck.

      We uploaded the new software to our TFTP, restarted the service, set the phone load name and restarted the CTS, then the CTS shows that is upgrading, module by module and when it finishes it reboots and goes back to 1.6. 

      Any ideas on what could be causing this? is there any licensing needed for this upgrade? or anything there we are missing on the upgrade?

Example image that we tried.

cmterm-CTS.1-9-5-7R-K9.P1.cop.sgn

Thanks in advance!

9 REPLIES 9
Cisco Employee

CTS-1300 software not upgrading from 1.6

Hi,

is it a gen 1 or gen 2 codec?

-Regards,

Sagar

Rising star

Re: CTS-1300 software not upgrading from 1.6

Hi,

Your codec probably is not finding the correct file on the TFTP Server, because systems that are running CTS software version 1.7.4 or older cannot process Loads files and will report a "file not found" error, even in cases where the file is present. You must to point the ".sbn" on "phone load name" field in order to make the upgrade.

You can find additional instructions in this document:

http://www.cisco.com/en/US/docs/telepresence/cucm_cts/cucm_cts_admin_book/guide/cucm_cts_admin_managefiles.html#wp1080563

Regards

Paulo Souza

Please rate replies and mark question as "answered" if applicable.

Paulo Souza Was my response helpful? Please rate useful replies and remember to mark any solved questions as "answered".
Beginner

Re: CTS-1300 software not upgrading from 1.6

Hi All,

I came across the same issue yesterday , I did a stepped upgarde to 1.7.6( by adding .sbn) from 1.6.4 and then to 1.8.5, I believe if I would have added .sbn to 1.8.5 image, it would also work ?  Well, the upgarde went successful but as per below, I got the factory slot also showing the load image as 1.8.5. Not sure, is this is normal or something to look on further.

admin:show version

primary

   Factory   CTS 1.8.5(4) P1

   Slot 1    CTS 1.7.6(4) P1

  *Slot 2    CTS 1.8.5(4) P1

  loads file information

    Factory  (cmterm-CTS.1-8-5-4R-K9.P1)

        CTS: CTS.1-8-5-4R-K9.P1.sbn

      Touch: CTSDEV.1-8-5-4R-K9.P1.SPA

    Slot 1

      No loads file

    Slot 2   (cmterm-CTS.1-8-5-4R-K9.P1)

        CTS: CTS.1-8-5-4R-K9.P1.sbn

      Touch: CTSDEV.1-8-5-4R-K9.P1.SPA

I Intitially tried to put the 1.8.5 image image under phone load field and found that the IP phone was not discovered at all so I removed it from there and leave it to fetch it from Device defaults which bring back the IP Phone details on codec web -interface .

Also, the same image (1.8.5) is been pushed to other CTS again via device default, which is giving this output :

admin:show version

primary

   Factory   CTS 1.6.0(3954)

   Slot 1    CTS 1.7.6(4) P1

  *Slot 2    CTS 1.8.5(4) P1

  loads file information

    Factory

      No loads file

    Slot 1

      No loads file

    Slot 2

      No loads file

left

   Factory   CTS 1.6.0(3954)

   Slot 1    CTS 1.7.6(4) P1

  *Slot 2    CTS 1.8.5(4) P1

right

   Factory   CTS 1.6.0(3954)

   Slot 1    CTS 1.7.6(4) P1

  *Slot 2    CTS 1.8.5(4) P1

I am trying to figure out why there is differnet behaviour and if there is anything missing or wrong ?

Thanks.

Rising star

Re: CTS-1300 software not upgrading from 1.6

I came across the same issue yesterday , I did a stepped upgarde to 1.7.6( by adding .sbn) from 1.6.4 and then to 1.8.5, I believe if I would have added .sbn to 1.8.5 image, it would also work ? 

When upgrading from 1.7.6 to 1.8.5, according to documentation, you should not point ".sbn" file, you should only specify the name of the firmware. This is the only blind point I can see in your scenario. See this link:

http://www.cisco.com/en/US/docs/telepresence/cucm_cts/cucm_cts_admin_book/guide/cucm_cts_admin_managefiles.html#wp1078409

admin:show version

primary

   Factory   CTS 1.8.5(4) P1

   Slot 1    CTS 1.7.6(4) P1

  *Slot 2    CTS 1.8.5(4) P1

  loads file information

    Factory  (cmterm-CTS.1-8-5-4R-K9.P1)

        CTS: CTS.1-8-5-4R-K9.P1.sbn

      Touch: CTSDEV.1-8-5-4R-K9.P1.SPA

    Slot 1

      No loads file

    Slot 2   (cmterm-CTS.1-8-5-4R-K9.P1)

        CTS: CTS.1-8-5-4R-K9.P1.sbn

      Touch: CTSDEV.1-8-5-4R-K9.P1.SPA

As I understand, only one CTS is showing 1.8.5 version on the factory slot. I remember you post a reply (and then deleted) saying that you replaced a codec via RMA, are you sure that this codec didn't come with 1.8.5 image as default firmware? I am asking this because, according to documentation, the codec should not install anything in the factory slot, it should use slot 1 and slot 2 to new firmware instalation.

Regards

Paulo Souza

Please rate replies and mark question as "answered" if applicable.

Paulo Souza Was my response helpful? Please rate useful replies and remember to mark any solved questions as "answered".
Beginner

Re: CTS-1300 software not upgrading from 1.6

HI Paulo,

Thanks for your reply.

- On the first point, I only added. sbn while upgrading 1.6.x to 1.7.6 and then when I tried to upgarde it from 1.7.6 to 1.8.5, I removed the .sbn and just put the image ( CTS.1-8-5-4R-K9.P1) in Phone load field. I was asking whether a direct upgarde could also be possible from 1.6.x to 1.8.5 and if yes, do I needed to add .sbn with 1.8.5 image as well ?

- On the second point, you are right that only 1 codec is showing 1.8.5 version on the factory slot and this is the RMA'ed codec and I am sure that this came with 1.7.4 as the shipped image. Once that was installed and booted up, it switched to 1.6.x and from where the issue started ( Phone was giving a software mismatch error) and I performed the above step to resolve it .

I had to take an extra step because when the image(1.8.5) was pushed through Phone load field, the Codec got upgarded to 1.8.5 version but on the web-interface, it was showing Touch(SCCD code not running) instead of IP address details under Device Information. So, I removed the image name from phone load field on CUCM and let it pushed from device defaults which actually bring the codec and IP phone up.


Though the issue is resolved, but the image got installed in factory slot as well .....  :-) and also it's showing the image for Touch as well, which is what confusing me .

I tried to summarize the 3hr. troubleshooting and hope it's clear now, but I am happy to explain if there is any confusions or questions.

Thanks

Anjali




Rising star

Re: CTS-1300 software not upgrading from 1.6

- On the first point, I only added. sbn while upgrading 1.6.x to 1.7.6 and then when I tried to upgarde it from 1.7.6 to 1.8.5, I removed the .sbn and just put the image ( CTS.1-8-5-4R-K9.P1) in Phone load field. I was asking whether a direct upgarde could also be possible from 1.6.x to 1.8.5 and if yes, do I needed to add .sbn with 1.8.5 image as well ?

Yes, you can upgrade from 1.6 directly to 1.8. But fimrware versions prior to 1.7.4 are not able to porcess load files, so you must to specify the ".sbn" extension in this case. Please, refer to this upgrade compatibility map:

http://www.cisco.com/en/US/docs/telepresence/peripherals/cisco_touch/installation/cisco_touch_installation_understanding_cop_files.html#wp154251

...and also it's showing the image for Touch as well, which is what confusing me .

This is normal, because the new CTS firmwares are a single cop file which includes all the required files, including image for the touch device, then the image for the touch becomes available in the codec even if you are not using it.

Regards

Paulo Souza

Please rate replies and mark question as "answered" if applicable.

Paulo Souza Was my response helpful? Please rate useful replies and remember to mark any solved questions as "answered".
Beginner

Re: CTS-1300 software not upgrading from 1.6

Hi Paulo,

I agreed on both your points.

But, do you have any idea why factory slot image had been replaced by 1.8.5 version?

And, I know that new .cop files include both the files for codec and touch, but in this case, all the codecs are using IP phones not touch, so when I do show status for all other codecs, it shows me just 1.8.5 version

primary

   Factory   CTS 1.6.0(3954)

   Slot 1    CTS 1.7.6(4) P1

  *Slot 2    CTS 1.8.5(4) P1

  loads file information

    Factory

      No loads file

    Slot 1

      No loads file

    Slot 2

      No loads file

left

   Factory   CTS 1.6.0(3954)

   Slot 1    CTS 1.7.6(4) P1

  *Slot 2    CTS 1.8.5(4) P1

right

   Factory   CTS 1.6.0(3954)

   Slot 1    CTS 1.7.6(4) P1

  *Slot 2    CTS 1.8.5(4) P1

But, RMA'ed codec which I upgraded yesterday showing me different status:

admin:show version

primary

   Factory   CTS 1.8.5(4) P1

   Slot 1    CTS 1.7.6(4) P1

  *Slot 2    CTS 1.8.5(4) P1

  loads file information

    Factory  (cmterm-CTS.1-8-5-4R-K9.P1)

        CTS: CTS.1-8-5-4R-K9.P1.sbn

      Touch: CTSDEV.1-8-5-4R-K9.P1.SPA

    Slot 1

      No loads file

    Slot 2   (cmterm-CTS.1-8-5-4R-K9.P1)

        CTS: CTS.1-8-5-4R-K9.P1.sbn

      Touch: CTSDEV.1-8-5-4R-K9.P1.SPA

which I was just trying to figure out why, when the same image file is pushed to all the codecs.

As I said, the issue is resolved , it's just I left with this confusion on factory slot image , I thought to post it on forum to see if anyone else came across this before.... :-)

Thanks.

Rising star

Re: CTS-1300 software not upgrading from 1.6

This is really a strange behavior, as I said before, the codec should replace its default factory image. When upgrading, it should only use slot 1 and 2 to store new firmware images, not the factory.

Well, anyway, if it is working, I would say, "dont touch what is working".

But if you have any problem with this codec in the future, I would suggest you to open a TAC request.

Regards

Paulo Souza

Please rate replies and mark question as "answered" if applicable.

Paulo Souza Was my response helpful? Please rate useful replies and remember to mark any solved questions as "answered".
Beginner

Re: CTS-1300 software not upgrading from 1.6

Hi ,

Log into the  CLI and  use  "set upgrade firmware "  This will force the CTS device for a  firmware upgrade ,then reboot the system.

Regards

Shyam

CreatePlease to create content
Content for Community-Ad
August's Community Spotlight Awards